@use "sass:math";

@font-face {
  font-family: "Open Sans";
  font-style: normal;
  font-weight: 400;
  src: url("../fonts/open-sans-v34-latin-regular.ttf") format("truetype");
}

@font-face {
  font-family: "Open Sans";
  font-style: normal;
  font-weight: 700;
  src: url("../fonts/open-sans-v34-latin-700.ttf") format("truetype");
}

@font-face {
  font-family: "Colaborate";
  font-style: normal;
  font-weight: 400;
  src: url("../fonts/colaborate-regular-400.otf") format("truetype");
}

@font-face {
  font-family: "Colaborate";
  font-style: normal;
  font-weight: 700;
  src: url("../fonts/colaborate-bold-400.otf") format("truetype");
}

@page {
  padding: 0;
  margin: 1cm 1cm 2cm 1cm;
}

@media print {
  body {
    font-size: 14px;
  }
}

body.single-diagnostic.diagnostic-print-mode {
  -webkit-print-color-adjust: exact;
  print-color-adjust: exact;
  font-size: 15px;
  padding: 1rem 0 0;
  font-family: "Open Sans";
  font-weight: 400;
  line-height: 1.1;

  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    font-weight: 700;
  }

  h1 {
    font-family: "Colaborate";
    font-weight: 700;

    span.fwn {
      display: inline-block;
      font-weight: 400;
    }
  }

  ul,
  ol {
    padding: 0;
    margin: 0;

    li {
      padding: 0;
      margin: 0 0 0 2em;
    }

    &.no-counter {
      list-style: none;

      li {
        img.fleche-droite {
          opacity: 0.4;
        }
      }
    }
  }

  p,
  th,
  td {
    font-size: 0.75rem;
    margin: 0;
  }

  table.vat {
    * {
      vertical-align: top;
    }
  }

  // Table with padding between rows.
  table.row-padding {
    th {
      padding-bottom: 1.5rem;
    }

    td {
      padding-bottom: 0.75rem;
    }
  }

  // Header with border bottom.
  table.header-border-bottom {
    th {
      border-bottom: 2px solid darken($gris, 5%);
      padding-bottom: 0.625rem;
    }

    &.row-padding {
      tbody tr:first-child {
        td {
          padding-top: 0.625rem;
        }
      }
    }
  }

  // 3 boxes in a row.
  table.grid-3 {
    tr td {
      width: 33.33%;

      &.col1 {
        padding-right: 2.5%;
      }

      &.col2 {
        padding-left: 1.25%;
        padding-right: 1.25%;
      }

      &.col3 {
        padding-left: 2.5%;
      }
    }
  }

  /**
   * Progress bars.
   */
  div.progress-bar-container {
    background: $gris;
    position: relative;
    height: 2.5rem;
    margin: 0;
    padding: 0;
    vertical-align: middle;

    div.progress-bar {
      background: darken($gris, 12.5%);
      position: absolute;
      top: 0;
      left: 0;
      bottom: 0;
    }

    span.count {
      position: absolute;
      font-size: 1.1rem;
      font-weight: bold;
      left: 0.5rem;
      top: 0.125rem;
    }
  }

  button,
  .button,
  .print-hidden,
  span[data-popup] {
    display: none;
  }

  .page-break-before {
    page-break-before: always;
  }

  section.widget-panel {
    padding: 0;
  }

  table {
    width: 100%;

    tr {
      th {
        text-align: left;
      }
    }
  }

  div.block {
    padding: 0;
  }

  h1 {
    font-size: 1.625rem;
    margin: 0 0 0.5em 0;
  }

  /**
   * General: box.
   */
  div.box {
    padding: 1.5rem;
    border: 3px solid darken($gris, 5%);

    + div.box {
      margin-top: 1.5rem;
    }
  }

  /**
   * Table widths percentages from 0 to 100 by step 5.
   */
  $max: 100;
  $step: 5;

  @for $i from 0 through ceil(calc($max/$step)) {
    $value: $i * $step;

    .w#{$value} {
      width: #{$value * 1%};
    }
  }

  /**
   * Section title.
   */
  section.widget-panel.resultats {
    h1 {
      font-size: 1.75rem;
      margin: 0 0 1.75em 0;
      display: block;

      span.fwn {
        display: inline;
        font-weight: 400;
      }

      div.icon {
        float: left;
        width: 3.2rem;
        height: 3.2rem;
        margin-right: 1.25rem;
        background: darken($gris, 5%);
        border-radius: 200px;

        img {
          position: relative;
          width: 1.8rem;
          height: 1.8rem;
          top: 0.725rem;
          left: 0.725rem;
        }
      }
    }
  }

  /**
   * First page.
   */
  table.header-section {
    tr,
    td {
      vertical-align: top;
    }

    td.left {
      width: 72%;

      div.box {
        p {
          font-size: 0.75rem;
        }
      }
    }

    td.right {
      width: 28%;
      text-align: center;

      div.box {
        margin-left: 1.5rem;

        figure {
          margin: 0;
          text-align: center;

          img {
            margin-left: auto;
            margin-right: auto;
            width: 13.5rem;
            height: 13.5rem;
          }
        }

        a {
          font-size: 0.75rem;
          color: #111;
        }
      }
    }

    /**
     * Logo row.
     */
    &.first {
      margin-bottom: 4rem;

      td.left {
        h1 {
          font-size: 2rem;
        }
      }

      td.right {
        img.logo {
          width: 16rem;
          height: auto;
        }
      }
    }

    /**
     * Boxes row.
     */
    &.second {
      td.right {
        width: 28%;

        div.box {
          padding: 1rem 1rem 2rem 1rem;
        }
      }
    }
  }

  /**
   * Situations + critères + difficultés table.
   */
  div.description {
    width: 85%;
  }

  div.title {
    margin: 0;
    padding: 0;
    width: 85%;

    span {
      font-size: 1rem;
      margin: 0;
      line-height: 1;
    }

    &.with-icon {
      position: relative;

      span {
        padding-left: 2.1rem;
      }

      .icon {
        margin-right: 0.5rem;
        width: 1.5rem;
        height: 1.5rem;
        position: absolute;
        top: 0.175em;
        left: 0;
      }
    }
  }

  /**
   * Critères.
   */
  ul.rating-stars {
    margin: 0.2rem 0 0 0;
    padding: 0;

    li {
      margin: 0;
      padding: 0;

      + li {
        margin-left: 0.75rem;
      }

      img {
        width: 1.8rem;
        height: 1.8rem;
        opacity: 0.25;
      }

      &.star-pleine {
      }

      &.star-vide {
      }
    }
  }

  /**
   * Outils: full tableau.
   */
  table#outils-tableau {
    $w: calc(100 / 14) * 1%;

    * {
      color: #111;
    }

    th,
    td {
      width: $w;

      &.tool-name {
        width: $w * 2;
      }
    }

    img {
      width: 100%;
      height: auto;
    }

    .tool-name {
      position: relative;
      padding: 0;

      span {
        position: relative;
        margin: 0;
        padding: 0;
        top: 0;
        left: 0;
        line-height: 1;
        float: none;
        display: inline-block;

        &.index {
          margin-right: 0.5em;
        }
      }
    }

    .type-usage {
      div.cell {
        background: darken($gris, 2.5%);
        padding: 0.75em 0.1em;
        text-align: center;

        img {
          width: 1rem;
          height: 1rem;
        }

        span {
          display: none;
        }

        &.satisfaction__2,
        &.frequency__2 {
          background: darken($gris, 40%);
        }

        &.satisfaction__-1,
        &.frequency__1 {
          background: darken($gris, 20%);
        }
      }
    }

    .type-term {
      div.cell {
        text-align: center;
        background: darken($gris, 2.5%);
        padding: 0.75em 0.1em;

        &.yes {
          background: darken($gris, 40%);

          span {
            color: #fff !important;
          }
        }
      }
    }
  }

  footer.table-footer {
    p.legend {
      color: #666;
      width: 25%;
      float: none;
    }
  }
}
